Edit an offset lifecycle event notification configuration
curl --request POST \
--url https://api.metronome.com/v2/notifications/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"policy": {
"type": "contract.start",
"offset": "P2D"
}
}
'import requests
url = "https://api.metronome.com/v2/notifications/edit"
payload = {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"policy": {
"type": "contract.start",
"offset": "P2D"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
policy: {type: 'contract.start', offset: 'P2D'}
})
};
fetch('https://api.metronome.com/v2/notifications/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P2D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
}{
"message": "<string>"
}Notifications
Edit an offset lifecycle event notification configuration
Edit an existing offset lifecycle event notification configuration.
POST
/
v2
/
notifications
/
edit
Edit an offset lifecycle event notification configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Offset notification configuration updates
Updated policy configuration. The policy.type must match the existing lifecycle event type.
- Option 1
- Option 2
Show child attributes
Show child attributes
The ID of the notification configuration to edit. Not provided when updating the configuration for system events
Set to true to enable webhook messages for the notification indicated in the policy, false to disable. Only supported by system lifecycle events.
Response
Success
- Option 1
- Option 2
Show child attributes
Show child attributes
List system notification event types
Previous
Archive an offset lifecycle event notification configuration
Next
⌘I